Follow

Is this a joke ? After a regular OS upgrade, Thunderbird has been upgraded to 68.2.2 and *none* of the extension is compatible with the new version ?!

Sign in to participate in the conversation
Share freely and wisely @ Brussels

If you are a babelut or if you want to read from a local or worldwide babelut, feel free to join this instance and the Fediverse :)